/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    // Namespaces used by the app to read/write .thmx files
    public struct Namespaces
    {
        public const string DrawingMLMain = @"http://schemas.openxmlformats.org/drawingml/2006/main";
        public const string Rel = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships";
        public const string BlipRel = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/image";
        public const string OfficeDocument = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument";
        public const string Theme = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/theme";
        public const string Thumbnail = @"http://schemas.openxmlformats.org/package/2006/relationships/metadata/thumbnail";
    }

    // Package part types used to read/write .thmx files
    public struct ThemePartTypes
    {
        public const string Theme = @"application/vnd.openxmlformats-officedocument.theme+xml";
        public const string ThemeManager = @"application/vnd.openxmlformats-officedocument.themeManager+xml";
    }
}
