/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    /// <summary>
    /// Light rig direction
    /// </summary>
    [Serializable]
    public enum ST_LightRigDirection
    {
        tl,
        t,
        tr,
        l,
        r,
        bl,
        b,
        br,
    }

    /// <summary>
    /// Light rig type
    /// </summary>
    [Serializable]
    public enum ST_LightRigType
    {
        legacyFlat1,
        legacyFlat2,
        legacyFlat3,
        legacyFlat4,
        legacyNormal1,
        legacyNormal2,
        legacyNormal3,
        legacyNormal4,
        legacyHarsh1,
        legacyHarsh2,
        legacyHarsh3,
        legacyHarsh4,
        threePt,
        balanced,
        soft,
        harsh,
        flood,
        contrasting,
        morning,
        sunrise,
        sunset,
        chilly,
        freezing,
        flat,
        twoPt,
        glow,
        brightRoom,
    }

    #endregion

    #region Complex Types

    /// <summary>
    /// Light Rig
    /// </summary>
    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_LightRig
    {
        public CT_SphereCoords rot;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_LightRigType rig;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_LightRigDirection dir;
    }

    #endregion
}
