/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    #endregion

    #region Complex Types

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_ShapeStyle
    {
        public CT_StyleMatrixReference lnRef;

        public CT_StyleMatrixReference fillRef;

        public CT_StyleMatrixReference effectRef;

        public CT_FontReference fontRef;
    }

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_StyleMatrixReference
    {
        public CT_ScRgbColor scrgbClr;
        public CT_SRgbColor srgbClr;
        public CT_HslColor hslClr;
        public CT_SystemColor sysClr;
        public CT_SchemeColor schemeClr;
        public CT_PresetColor prstClr;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public uint idx;
    }

    [Serializable]

    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_FontReference
    {
        public CT_ScRgbColor scrgbClr;
        public CT_SRgbColor srgbClr;
        public CT_HslColor hslClr;
        public CT_SystemColor sysClr;
        public CT_SchemeColor schemeClr;
        public CT_PresetColor prstClr;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_FontCollectionIndex idx;
    }

    #endregion
}
