/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types


    #endregion

    #region Complex Types

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_ColorSchemeAndMapping
    {
        public CT_ColorScheme clrScheme;

        public CT_ColorMapping clrMap;
    }

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_ColorMapping
    {
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex bg1;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex tx1;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex bg2;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex tx2;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex accent1;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex accent2;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex accent3;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex accent4;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex accent5;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex accent6;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex hlink;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_ColorSchemeIndex folHlink;
    }

    [Serializable]
    [System.Xml.Serialization.XmlRootAttribute("theme", Namespace = Namespaces.DrawingMLMain, IsNullable = false)]
    public class CT_OfficeStyleSheet
    {
        public CT_OfficeStyleSheet()
        {
            this.name = "";
        }

        public CT_BaseStyles themeElements;

        public CT_ObjectStyleDefaults objectDefaults;

        [System.Xml.Serialization.XmlArrayItemAttribute("extraClrScheme", IsNullable = false)]
        public CT_ColorSchemeAndMapping[] extraClrSchemeLst;

        [System.Xml.Serialization.XmlArrayItemAttribute("custClr", IsNullable = false)]
        public CT_CustomColor[] custClrLst;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("")]
        public string name;
    }

    #endregion
}
