/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

/* **********************************************************************************
*
* Copyright (c) Microsoft Corporation. All rights reserved.
*
* **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace OfficeOpenXMLInterop
{
    #region Simple Types

    [Serializable]
    public enum ST_TextAutonumberScheme
    {
        alphaLcParenBoth,
        alphaUcParenBoth,
        alphaLcParenR,
        alphaUcParenR,
        alphaLcPeriod,
        alphaUcPeriod,
        arabicParenBoth,
        arabicParenR,
        arabicPeriod,
        arabicPlain,
        romanLcParenBoth,
        romanUcParenBoth,
        romanLcParenR,
        romanUcParenR,
        romanLcPeriod,
        romanUcPeriod,
        circleNumDbPlain,
        circleNumWdBlackPlain,
        circleNumWdWhitePlain,
        arabicDbPeriod,
        arabicDbPlain,
        ea1ChsPeriod,
        ea1ChsPlain,
        ea1ChtPeriod,
        ea1ChtPlain,
        ea1JpnChsDbPeriod,
        ea1JpnKorPlain,
        ea1JpnKorPeriod,
        arabic1Minus,
        arabic2Minus,
        hebrew2Minus,
        thaiAlphaPeriod,
        thaiAlphaParenR,
        thaiAlphaParenBoth,
        thaiNumPeriod,
        thaiNumParenR,
        thaiNumParenBoth,
        hindiAlphaPeriod,
        hindiNumPeriod,
        hindiNumParenR,
        hindiAlpha1Period,
    }

    #endregion

    #region Complex Types

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextAutonumberBullet
    {
        public CT_TextAutonumberBullet()
        {
            this.startAt = 1;
        }

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public ST_TextAutonumberScheme type;

        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute(1)]
        public int startAt;
    }


    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextCharBullet
    {
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string @char;
    }


    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextBlipBullet
    {
        public CT_Blip blip;
    }


    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextNoBullet
    {
    }

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextBulletColorFollowText
    {
    }

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextBulletSizeFollowText
    {
    }


    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextBulletSizePercent
    {
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int val;

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool valSpecified;
    }


    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextBulletSizePoint
    {
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public int val;

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool valSpecified;
    }

    [Serializable]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = Namespaces.DrawingMLMain)]
    public class CT_TextBulletTypefaceFollowText
    {
        // TODO: buFontTx, buFont
    }

    #endregion
}
